Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network201.48.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
201.48.0.0
Broadcast address
201.63.255.255
First usable
201.48.0.1
Last usable
201.63.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Public public
Old class
C (default /24)
As numbers
Hex C9300000 · Integer 3375366144 to 3376414719
Reverse DNS zones
48.201.in-addr.arpa
49.201.in-addr.arpa
50.201.in-addr.arpa
51.201.in-addr.arpa
52.201.in-addr.arpa
53.201.in-addr.arpa
54.201.in-addr.arpa
55.201.in-addr.arpa
56.201.in-addr.arpa
57.201.in-addr.arpa
58.201.in-addr.arpa
59.201.in-addr.arpa
60.201.in-addr.arpa
61.201.in-addr.arpa
62.201.in-addr.arpa
63.201.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11001001.00110000.00000000.00000000201.48.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11001001.00110000.00000000.00000000201.48.0.0
Broadcast11001001.00111111.11111111.11111111201.63.255.255
Split into smaller subnets/19

201.48.0.0/12 makes 128 subnets of /19.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1201.48.0.0/19201.48.0.1 to 201.48.31.254201.48.31.2558,190
2201.48.32.0/19201.48.32.1 to 201.48.63.254201.48.63.2558,190
3201.48.64.0/19201.48.64.1 to 201.48.95.254201.48.95.2558,190
4201.48.96.0/19201.48.96.1 to 201.48.127.254201.48.127.2558,190
5201.48.128.0/19201.48.128.1 to 201.48.159.254201.48.159.2558,190
6201.48.160.0/19201.48.160.1 to 201.48.191.254201.48.191.2558,190
7201.48.192.0/19201.48.192.1 to 201.48.223.254201.48.223.2558,190
8201.48.224.0/19201.48.224.1 to 201.48.255.254201.48.255.2558,190
9201.49.0.0/19201.49.0.1 to 201.49.31.254201.49.31.2558,190
10201.49.32.0/19201.49.32.1 to 201.49.63.254201.49.63.2558,190
11201.49.64.0/19201.49.64.1 to 201.49.95.254201.49.95.2558,190
12201.49.96.0/19201.49.96.1 to 201.49.127.254201.49.127.2558,190
13201.49.128.0/19201.49.128.1 to 201.49.159.254201.49.159.2558,190
14201.49.160.0/19201.49.160.1 to 201.49.191.254201.49.191.2558,190
15201.49.192.0/19201.49.192.1 to 201.49.223.254201.49.223.2558,190
16201.49.224.0/19201.49.224.1 to 201.49.255.254201.49.255.2558,190
17201.50.0.0/19201.50.0.1 to 201.50.31.254201.50.31.2558,190
18201.50.32.0/19201.50.32.1 to 201.50.63.254201.50.63.2558,190
19201.50.64.0/19201.50.64.1 to 201.50.95.254201.50.95.2558,190
20201.50.96.0/19201.50.96.1 to 201.50.127.254201.50.127.2558,190
21201.50.128.0/19201.50.128.1 to 201.50.159.254201.50.159.2558,190
22201.50.160.0/19201.50.160.1 to 201.50.191.254201.50.191.2558,190
23201.50.192.0/19201.50.192.1 to 201.50.223.254201.50.223.2558,190
24201.50.224.0/19201.50.224.1 to 201.50.255.254201.50.255.2558,190
25201.51.0.0/19201.51.0.1 to 201.51.31.254201.51.31.2558,190
26201.51.32.0/19201.51.32.1 to 201.51.63.254201.51.63.2558,190
27201.51.64.0/19201.51.64.1 to 201.51.95.254201.51.95.2558,190
28201.51.96.0/19201.51.96.1 to 201.51.127.254201.51.127.2558,190
29201.51.128.0/19201.51.128.1 to 201.51.159.254201.51.159.2558,190
30201.51.160.0/19201.51.160.1 to 201.51.191.254201.51.191.2558,190
31201.51.192.0/19201.51.192.1 to 201.51.223.254201.51.223.2558,190
32201.51.224.0/19201.51.224.1 to 201.51.255.254201.51.255.2558,190
33201.52.0.0/19201.52.0.1 to 201.52.31.254201.52.31.2558,190
34201.52.32.0/19201.52.32.1 to 201.52.63.254201.52.63.2558,190
35201.52.64.0/19201.52.64.1 to 201.52.95.254201.52.95.2558,190
36201.52.96.0/19201.52.96.1 to 201.52.127.254201.52.127.2558,190
37201.52.128.0/19201.52.128.1 to 201.52.159.254201.52.159.2558,190
38201.52.160.0/19201.52.160.1 to 201.52.191.254201.52.191.2558,190
39201.52.192.0/19201.52.192.1 to 201.52.223.254201.52.223.2558,190
40201.52.224.0/19201.52.224.1 to 201.52.255.254201.52.255.2558,190
41201.53.0.0/19201.53.0.1 to 201.53.31.254201.53.31.2558,190
42201.53.32.0/19201.53.32.1 to 201.53.63.254201.53.63.2558,190
43201.53.64.0/19201.53.64.1 to 201.53.95.254201.53.95.2558,190
44201.53.96.0/19201.53.96.1 to 201.53.127.254201.53.127.2558,190
45201.53.128.0/19201.53.128.1 to 201.53.159.254201.53.159.2558,190
46201.53.160.0/19201.53.160.1 to 201.53.191.254201.53.191.2558,190
47201.53.192.0/19201.53.192.1 to 201.53.223.254201.53.223.2558,190
48201.53.224.0/19201.53.224.1 to 201.53.255.254201.53.255.2558,190
49201.54.0.0/19201.54.0.1 to 201.54.31.254201.54.31.2558,190
50201.54.32.0/19201.54.32.1 to 201.54.63.254201.54.63.2558,190
51201.54.64.0/19201.54.64.1 to 201.54.95.254201.54.95.2558,190
52201.54.96.0/19201.54.96.1 to 201.54.127.254201.54.127.2558,190
53201.54.128.0/19201.54.128.1 to 201.54.159.254201.54.159.2558,190
54201.54.160.0/19201.54.160.1 to 201.54.191.254201.54.191.2558,190
55201.54.192.0/19201.54.192.1 to 201.54.223.254201.54.223.2558,190
56201.54.224.0/19201.54.224.1 to 201.54.255.254201.54.255.2558,190
57201.55.0.0/19201.55.0.1 to 201.55.31.254201.55.31.2558,190
58201.55.32.0/19201.55.32.1 to 201.55.63.254201.55.63.2558,190
59201.55.64.0/19201.55.64.1 to 201.55.95.254201.55.95.2558,190
60201.55.96.0/19201.55.96.1 to 201.55.127.254201.55.127.2558,190
61201.55.128.0/19201.55.128.1 to 201.55.159.254201.55.159.2558,190
62201.55.160.0/19201.55.160.1 to 201.55.191.254201.55.191.2558,190
63201.55.192.0/19201.55.192.1 to 201.55.223.254201.55.223.2558,190
64201.55.224.0/19201.55.224.1 to 201.55.255.254201.55.255.2558,190
65201.56.0.0/19201.56.0.1 to 201.56.31.254201.56.31.2558,190
66201.56.32.0/19201.56.32.1 to 201.56.63.254201.56.63.2558,190
67201.56.64.0/19201.56.64.1 to 201.56.95.254201.56.95.2558,190
68201.56.96.0/19201.56.96.1 to 201.56.127.254201.56.127.2558,190
69201.56.128.0/19201.56.128.1 to 201.56.159.254201.56.159.2558,190
70201.56.160.0/19201.56.160.1 to 201.56.191.254201.56.191.2558,190
71201.56.192.0/19201.56.192.1 to 201.56.223.254201.56.223.2558,190
72201.56.224.0/19201.56.224.1 to 201.56.255.254201.56.255.2558,190
73201.57.0.0/19201.57.0.1 to 201.57.31.254201.57.31.2558,190
74201.57.32.0/19201.57.32.1 to 201.57.63.254201.57.63.2558,190
75201.57.64.0/19201.57.64.1 to 201.57.95.254201.57.95.2558,190
76201.57.96.0/19201.57.96.1 to 201.57.127.254201.57.127.2558,190
77201.57.128.0/19201.57.128.1 to 201.57.159.254201.57.159.2558,190
78201.57.160.0/19201.57.160.1 to 201.57.191.254201.57.191.2558,190
79201.57.192.0/19201.57.192.1 to 201.57.223.254201.57.223.2558,190
80201.57.224.0/19201.57.224.1 to 201.57.255.254201.57.255.2558,190
81201.58.0.0/19201.58.0.1 to 201.58.31.254201.58.31.2558,190
82201.58.32.0/19201.58.32.1 to 201.58.63.254201.58.63.2558,190
83201.58.64.0/19201.58.64.1 to 201.58.95.254201.58.95.2558,190
84201.58.96.0/19201.58.96.1 to 201.58.127.254201.58.127.2558,190
85201.58.128.0/19201.58.128.1 to 201.58.159.254201.58.159.2558,190
86201.58.160.0/19201.58.160.1 to 201.58.191.254201.58.191.2558,190
87201.58.192.0/19201.58.192.1 to 201.58.223.254201.58.223.2558,190
88201.58.224.0/19201.58.224.1 to 201.58.255.254201.58.255.2558,190
89201.59.0.0/19201.59.0.1 to 201.59.31.254201.59.31.2558,190
90201.59.32.0/19201.59.32.1 to 201.59.63.254201.59.63.2558,190
91201.59.64.0/19201.59.64.1 to 201.59.95.254201.59.95.2558,190
92201.59.96.0/19201.59.96.1 to 201.59.127.254201.59.127.2558,190
93201.59.128.0/19201.59.128.1 to 201.59.159.254201.59.159.2558,190
94201.59.160.0/19201.59.160.1 to 201.59.191.254201.59.191.2558,190
95201.59.192.0/19201.59.192.1 to 201.59.223.254201.59.223.2558,190
96201.59.224.0/19201.59.224.1 to 201.59.255.254201.59.255.2558,190
97201.60.0.0/19201.60.0.1 to 201.60.31.254201.60.31.2558,190
98201.60.32.0/19201.60.32.1 to 201.60.63.254201.60.63.2558,190
99201.60.64.0/19201.60.64.1 to 201.60.95.254201.60.95.2558,190
100201.60.96.0/19201.60.96.1 to 201.60.127.254201.60.127.2558,190
101201.60.128.0/19201.60.128.1 to 201.60.159.254201.60.159.2558,190
102201.60.160.0/19201.60.160.1 to 201.60.191.254201.60.191.2558,190
103201.60.192.0/19201.60.192.1 to 201.60.223.254201.60.223.2558,190
104201.60.224.0/19201.60.224.1 to 201.60.255.254201.60.255.2558,190
105201.61.0.0/19201.61.0.1 to 201.61.31.254201.61.31.2558,190
106201.61.32.0/19201.61.32.1 to 201.61.63.254201.61.63.2558,190
107201.61.64.0/19201.61.64.1 to 201.61.95.254201.61.95.2558,190
108201.61.96.0/19201.61.96.1 to 201.61.127.254201.61.127.2558,190
109201.61.128.0/19201.61.128.1 to 201.61.159.254201.61.159.2558,190
110201.61.160.0/19201.61.160.1 to 201.61.191.254201.61.191.2558,190
111201.61.192.0/19201.61.192.1 to 201.61.223.254201.61.223.2558,190
112201.61.224.0/19201.61.224.1 to 201.61.255.254201.61.255.2558,190
113201.62.0.0/19201.62.0.1 to 201.62.31.254201.62.31.2558,190
114201.62.32.0/19201.62.32.1 to 201.62.63.254201.62.63.2558,190
115201.62.64.0/19201.62.64.1 to 201.62.95.254201.62.95.2558,190
116201.62.96.0/19201.62.96.1 to 201.62.127.254201.62.127.2558,190
117201.62.128.0/19201.62.128.1 to 201.62.159.254201.62.159.2558,190
118201.62.160.0/19201.62.160.1 to 201.62.191.254201.62.191.2558,190
119201.62.192.0/19201.62.192.1 to 201.62.223.254201.62.223.2558,190
120201.62.224.0/19201.62.224.1 to 201.62.255.254201.62.255.2558,190
121201.63.0.0/19201.63.0.1 to 201.63.31.254201.63.31.2558,190
122201.63.32.0/19201.63.32.1 to 201.63.63.254201.63.63.2558,190
123201.63.64.0/19201.63.64.1 to 201.63.95.254201.63.95.2558,190
124201.63.96.0/19201.63.96.1 to 201.63.127.254201.63.127.2558,190
125201.63.128.0/19201.63.128.1 to 201.63.159.254201.63.159.2558,190
126201.63.160.0/19201.63.160.1 to 201.63.191.254201.63.191.2558,190
127201.63.192.0/19201.63.192.1 to 201.63.223.254201.63.223.2558,190
128201.63.224.0/19201.63.224.1 to 201.63.255.254201.63.255.2558,190

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses